@media (max-width: 991.98px) {
  .container {
    max-width: 100% !important;
  }
}


/*-----Overwrite Default tags to match Wilo Styles-----*/
h1 {
  font-size: 48px !important;
}

.modal h1 {
  font-size: 22px !important;
}

h2 {
  font-size: 34px !important;
}

.crmEntityFormView .validation-summary h2 {
  font-size: 22px !important;
}

h3 {
  font-size: 22px !important;
}

small {
  font-family: 'Noto Sans' !important;
  color: #505050 !important;
  font-size: 11px !important
}

label {
  font-family: 'Noto Sans' !important;
  color: #505050 !important;
  font-weight: 700 !important;
  font-size: 16px !important
}

td {
  font-family: 'Noto Sans' !important;
  font-weight: 500 !important;
  color: #505050 !important;
}

li {
  font-family: 'Noto Sans' !important;
  color: #505050 !important;
  font-size: 16px !important;
  font-weight: 500 !important;
}

.btn-default {
  background-color: #FFFFFF !important;
  border-radius: 8px !important;
  color: #009c82 !important;
}

.btn-secondary {
  border-color: #009c82 !important;
}

.btn-primary:hover,
.btn-primary:focus {
  background-color: #006655 !important;
  border-color: #006655 !important;
}

.btn-primary:active,
.btn-primary.active {
  background-color: #505050 !important;
  border-color: #505050 !important;
}

.btn-primary:disabled {
  background-color: #B5B5B5 !important;
  border-color: #B5B5B5 !important;
}

.btn-secondary:hover,
.btn-secondary:focus {
  background-color: white;
  color: #006655;
  border: 1px solid #006655;
}

.btn-secondary:active,
.btn-secondary.active {
  color: #505050 !important;
  background-color: #FFFFFF !important;
  border: 1px solid #505050;
  border-color: #FFFFFF !important;
}

.btn-secondary:disabled {
  background-color: white;
  color: #B5B5B5;
  border: 1px solid #B5B5B5;
}

.btn-default:hover,
.btn-default:focus {
  color: #006655 !important;
  border: none !important;
  border-color: #ffffff !important;
}

.btn-default:active,
.btn-default.active {
  color: #505050 !important;
  background-color: #FFFFFF !important;
  border: none !important;
  border-color: #FFFFFF !important;
}

.btn-default:disabled {
  background-color: white;
  color: #B5B5B5;
}

a.nav-link:hover,
a.nav-link:focus {
  text-decoration: none !important;
  color: #004D40 !important;
}

a.nav-link:active,
a.nav-link.active {
  color: #004D40 !important;
}



/*----- Form Styles -----*/
h2.tab-title {
  font-size: 22px !important;
  font-weight: 300 !important;
}

.tab-title,
.section-title {

  border-bottom: 1px solid #009c82 !important;
}

input.form-control,
select.form-control,
textarea.form-control,
div.input-group {
  border: 1px solid #707070;
  border-radius: 8px !important;
}

div.input-group input.lookup,
div.input-group input.input-text-box {
  border: none !important;
  border-radius: 8px 0 0 8px !important;
}

div.input-group button.launchentitylookup {
  border-radius: 0 8px 8px 0 !important;
  background-color: #009c82 !important;
  color: white !important;
}

div.input-group button.clearlookupfield {
  border-radius: 0 !important;
  background-color: #009c82 !important;
  color: white !important;
}

div.input-group button.launchentitylookup:hover,
div.input-group button.clearlookupfield:hover {
  background-color: #006655 !important;
  border-color: #006655 !important;
  border: 1px solid !important;
}

input.form-control:focus,
select.form-control:focus,
textarea.form-control:focus,
input.form-control:focus div.input-group {
  border: 2px solid #009c82 !important;
  box-shadow: none !important;
}

div.datetimepicker span.input-group-addon {
  border-radius: 8px;
}

div.toolbar-actions div.input-group {
  border: none !important
}



/*----- Custom Form Fields -----*/
p#txtCustomerBusinessPhone,
h5#lblMainLocation {
  display: flex;
  flex-direction: row;
  gap: 10px;
}

small.wilo-warning {
  color: #F24100 !important;
  font-size: 12px !important;
  font-weight: bolder;
}

p.wilo-information {
  font-size: 14px;
  font-weight: bolder;
}

p.wilo-warning {
  margin-top: 0.5rem;
  padding-left: 0.5rem;
  color: red;
}

h2.tab-title.title-asterisk::after {
  content: '*';
  color: red;
  font-weight: bold;
  margin-left: 0.25rem;
}

/* List styles */

.crmEntityFormView,
.entitylist,
.modal-content,
.popover-content {
  background-color: #ffffff;
  color: #000000;
  border: 0px solid #f2f2f2 !important;
}

/* .sectionBlockLayout:first-of-type {
  margin-top: 2em !important;
} */

.columnBlockLayout {
  margin: 0 !important;
}



table.section {
  background-color: #F1F1F1;
}

/* div.wilo-header {
  background-color: #F1F1F1;
} */


.field-label,
.crmEntityFormView .form-control.readonly,
.crmEntityFormView .form-control[readonly][disabled],
.form-readonly .form-control {
  background-color: transparent !important;
}

iframe.quickform body {
  background-color: #F1F1F1 !important;
}

[data-name=Portal_Dev_Section_Timeline] .crmEntityFormView.cell.zero-cell {
  display: block;
}

[data-name="WorkOrderDetailsTab"] tr:first-of-type td {
  padding-top: 20px;
}

[data-name="WorkOrderDetailsTab"] a {
  pointer-events: none;
  color: inherit !important;
  text-decoration: none !important;
}

[data-name="Portal_Dev_Section_Timeline"] .attachment-outer-border {
  display: none !important;
}

[data-name="Portal_Dev_Section_Timeline"] td.cell {
  padding: 0 !important;
}

[data-name="Portal_Dev_Section_Timeline"] .note .header {
  padding-left: 40px !important;
}

[data-name="Portal_Dev_Section_Timeline"] .table-info {
  margin-left: 40px !important;
  margin-top: 20px !important;
}

[data-name="Portal_Dev_Section_Timeline"] .buttoncontainer {
  margin-right: 30px;
}

[data-name="Portal_Dev_Section_Timeline"] .description p {
  font-size: 11pt;
}

/* .modal-form .modal-lg,
#wp_productdetailid_lookupmodal .modal-lg {
  --bs-modal-width: 100%;
  --bs-modal-margin: 0;
} */

.crmquickform-cell {
  border-right: none !important;
}


.crmquickform-cell label.field-label {
  display: none !important;
}

div#ContentContainer_FormPanel fieldset {
  background-color: #F1F1F1 !important;
}

div#ContentContainer_FormPanel legend.section-title {
  display: none !important;
}

iframe#Quickview_WorkOrder_Left>body {
  background-color: #F1F1F1 !important;
}

h3.table-info.form-subgrid-heading label.field-label {
  display: none !important;
}

.pagination>.active>a,
.pagination>.active>a:focus,
.pagination>.active>a:hover {
  background-color: #009c82 !important;
  color: white !important;
}

.pagination>li>a,
.pagination>li>span {
  color: #009c82 !important;
  background-color: transparent !important;
}

.crmEntityFormView .actions {
  border-top: none;
}

/* .modal-form .modal-body iframe .crmEntityFormView {
  background-color: #F1F1F1 !important;
} */

select:disabled,
textarea:disabled {
  background-color: #f6f6f6 !important;
}

div#containerButton {
  display: flex;
  justify-content: flex-end;
}

/* Table container styles*/
.container-fluid.overflow-auto {
  max-width: 1920px;
}


/* Header styles*/
button#wiloCloseButton {
  margin-top: 21px !important;
  margin-bottom: 10.5px !important;
}



/* Footer styles*/

/*Fixed footer at bottom of the page*/
body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

form#liquid_form {
  flex-grow: 1;
}

.wrapper-body {
  min-height: auto !important;
  flex-grow: 1 !important;
}

/*End fixed footer  */


.wiloFooter {
  background-color: #363640;
  width: 100%;
  position: sticky;
  bottom: 0;
  margin-top: 5rem;
}

.wiloFooter.container {
  margin-top: 10px;
}

.wiloFooter .sectionFooterContact a.wilo-contact-link i {
  margin-right: 10px;
}

.wiloFooter a,
.wiloFooter a:hover {
  color: #c3c3c6 !important;
  background-color: transparent !important;
  border: none !important;
  text-decoration: none !important;
  font-size: 15px !important;
  line-height: 0 !important;
  padding: 8px 16px 8px 16px !important;
}

.wiloFooter p {
  color: #c3c3c6;
  font-size: 15px;
  margin-bottom: 5px;
  font-weight: 400;
}

.wrapperFooterLinks {
  padding-top: 10px;
}

div.wilo-footer-main {
  row-gap: 1rem;
}


div.wilo-footer-social {
  justify-content: center;
}

.wiloFooter a.wilo-footer-social-link {
  font-size: 20px !important;
  max-width: 10px;
}

.wilo-footer-copyright {
  margin-bottom: 20px;
}

div.wrapperFooterContact {
  background-color: #4a4a53;
  margin-top: 10px;
  padding-top: 2rem;
  padding-bottom: 1rem;
}

div.sectionFooterContact {
  align-items: center;
  display: flex;
  flex-direction: column;
}

div.sectionFooterContact h5 {
  color: white !important;
  margin-top: 0 !important;
  margin-bottom: 5px !important;
}


/* custom Links */
.wiloLink,
.ms-Link {
  color: #009c82 !important;
  text-decoration: underline !important;
  cursor: pointer !important;
  border: none !important
}

.wiloLink:focus {
  box-shadow: none !important;
  outline: none !important;
}


/* Subheader Work Order incident */
h2 p#productsGridSubheader {
  font-size: 14px;
  color: #323130;
}

/* Hide button for tempalte richt text fields */
span.maximizeButtonImage.CCFSymbolFont {
  display: none !important;
}

i.wilo-icon {
  color: #009c82 !important;
  cursor: pointer !important;
  border: none !important
}





.crmEntityFormView,
.entitylist,
.wilo-form-container {
  background-color: #F1F1F1 !important;
  padding: 10px 25px 10px 25px;
}

@media (max-width: 991.98px) {
  .wilo-form-container {
    padding: 0px 5px !important;
  }
}

p.text-truncate {
  margin-bottom: 10px !important;
}

/* Custom Work Order Timeline  */

div#wilo-workorder-timeline {
  max-height: 600px;
  margin-top: 10px;
}


#wilo-workorder-timeline .list-group-item {
  margin: 10px;
}

button.wiloCloseModal {
  margin-top: 21px !important;
  margin-bottom: 0 !important;
}

/* Custom External files  */

div#external-files-container {
  max-height: 600px;
  margin-top: 10px;
}

ul#external-files-list .list-group-item {
  margin: 2px;
}

ul#external-files-list .list-group-item i {
  font-size: 1.2rem;
}

img.img-fluid {
  height: 25px !important;
  margin-right: 5px !important;
}


/* FAQ Site */

h2.accordion-header {
  padding: 0.25rem !important;
  margin: 0 !important;
}

button.accordion-button {
  box-shadow: none !important;
  background-color: transparent !important;
}

button.accordion-button:not(.collapsed) {
  color: #009c82 !important
}

.accordion-button::after {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23009c82'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e") !important;
}

div#sectionAccordion {
  padding: 2rem;
  box-shadow: 1px 1px 5px 1px rgba(0, 0, 0, 0.25);
  border-radius: 20px;
}

#accordionFAQ>.accordion-item {
  margin-bottom: 0.5rem;
  border-radius: 5px;
  background-color: #f8f9fa;
}

div#sectionFilterFAQContent>button.btn {
  box-shadow: 2px 2px 10px 1px rgba(0, 0, 0, 0.25);
  padding: 10px;
  max-width: 200px;
  min-width: 150px;
}

div#sectionFilterFAQContent>button.btn.active {
  background-color: #363640 !important;
  border-color: #363640 !important;
  color: white !important;
}

div#sectionFAQDocuments>ul.list-group>li.list-group-item {
  border: none;
}

div#sectionFAQDocuments li.list-group-item i {
  font-size: 1.25rem;
}

/*Home Page*/

.wilo-main-container {
  display: flex;
  flex-direction: column;
  padding-top: 5rem;
}

div#greetingHome {
  padding: 1rem;
}

div#setionGreetingHome h2#homeUserName,
div#sectionHomeLogin h2#homeMessageLogin {
  margin: 0;
  color: #169C82 !important;
  font-size: 34px !important;
}

div#setionGreetingHome {
  margin-bottom: 3rem;
}

div.homeTile {
  display: flex;
  flex-direction: column;
}

div.homeTileWrapper {
  background-color: #F1F1F1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 1rem;
  padding: 32px 24px 32px 24px;
  border-radius: 8px;
  margin-bottom: 1rem;
  flex-grow: 1;
}

div.homeTileWrapper h3 {
  Margin: 0 !important;
}

/* Dashbaords */

div#sectionDashboard a:hover,
div#sectionDashboard a:focus {
  text-decoration: none !important;
  transition: all .5s;
}

div#sectionDashboard a {
  text-decoration: none !important;
}

div#sectionDashboard a:hover i {
  scale: 1.2;
  color: #006655
}

.homeDashboard {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: white;
  padding: 2rem 0 2rem 0;
  border-radius: 8px;
}

.homeDashboard i {
  font-size: 4rem;
  color: #009c82;
}


/*No web role page  */



#containerNoWebRole {
  padding: 0 !important
}

#containerNoWebRole .img-wrapper {
  padding: 10rem 0;
  background-image: url(./Wilo_NoWebRole.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: bottom center;
}

#containerNoWebRole .img-wrapper .overlay {
  background-color: white;
  padding: 1rem 2rem;
  display: flex;
  flex-direction: column;
  margin-left: auto;
  margin-right: auto;
  max-width: 600px;

}

#containerNoWebRole .img-wrapper .overlay i {
  color: #009c82;
  align-self: center;
  font-size: 3rem;
  padding-bottom: 1rem;
}


/*Custom Work Order Incident Table  */

@media (max-width: 767.98px) {

  table.table.table-striped {
    --bs-table-striped-bg: white !important;
  }

  table.table.table-striped tr {
    display: table;
    width: 90%;
    margin: 1em auto;
    background-color: white !important;
    border-radius: 8px;
  }

  table.table.table-striped td {
    display: block;
    text-align: center;
    border: none;
  }

  table.table.table-striped thead {
    display: none;
  }
}

/*Service Delivery Report  */
.wilo-report-container {
  padding: 10px 25px 10px 25px;
}


.wrapper-incident {
  margin-bottom: 2rem;
  background-color: rgba(255, 255, 255, 0.6);
  padding: 1rem;
  border-radius: 5px;
}

.reportProductsHeader {
  border-top: 1px solid black;
  padding-top: 1rem;
}

div#section-reportIncidents div#reportIncidents {
  padding: 0 1rem;
}

table#tableConnectedIncidents {
  color: #505050;
  font-family: 'Noto Sans';
  font-size: 15px;
}

/* Customize default confirm button inside signature control */
.signatureControl.editmode .inkControl .inkControlCommandBar {
  padding: 5px 5px 5px 5px !important;

}

.signatureControl.editmode .inkControl .inkControlCommandBar .confirmButton {
  background-color: #009c82;
  border-color: #009c82 !important;
  cursor: pointer;
}

.signatureControl.editmode .inkControl .inkControlCommandBar .confirmButtonTick:before {
  font-family: 'Segoe MDL2 Assets';
  color: white;
  font-weight: bold;
}